import StorageBase from "./StorageBase.js";
export default class GlobalStorage extends StorageBase {
    get selectedGroupId() {
        return this.state.get("selectedGroupId");
    }
    set selectedGroupId(value) {
        this.state.set("selectedGroupId", value);
    }
    get postbackInputId() {
        return this.state.get("postbackInputId");
    }
    set postbackInputId(value) {
        this.state.set("postbackInputId", value);
    }
    get navScroll() {
        return this.state.get("navScroll", 0);
    }
    set navScroll(value) {
        this.state.set("navScroll", value);
    }
    toJSON() {
        return this.state.toJSON();
    }
}
